/*#region .item-gallery*/
.item-gallery {
  position: relative;
  .img-container {
    @include center-img-nohover();
    img {
      width: 120%;
      height: auto;
      max-width: inherit;
    }
  }
  .text-container {
    @include animation();
    @include flex-center();
    background-color: transparent;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    -webkit-transform-style: preserve-3d;
    transform-style: preserve-3d;
    height: 100%;
    color: $white;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    text-align: center;
    z-index: 10;
    .text-inner {
      position: relative;
      -webkit-transition: opacity 0.3s ease-out, -webkit-transform 0.3s ease-out;
      transition: opacity 0.3s ease-out, -webkit-transform 0.3s ease-out;
      -o-transition: opacity 0.3s ease-out, transform 0.3s ease-out;
      transition: opacity 0.3s ease-out, transform 0.3s ease-out;
      transition: opacity 0.3s ease-out, transform 0.3s ease-out,
        -webkit-transform 0.3s ease-out;
      z-index: 2;
      width: calc(100% - 75px);
      h3 {
        -webkit-transition: -webkit-transform 0.35s;
        transition: -webkit-transform 0.35s;
        -o-transition: transform 0.35s;
        transition: transform 0.35s;
        transition: transform 0.35s, -webkit-transform 0.35s;
        -webkit-transform: translate3d(0, -20px, 0);
        transform: translate3d(0, -20px, 0);
        opacity: 0;
        text-transform: uppercase;
        font-weight: $font-weight-semibold;
        a {
          color: $primary-color;
        }
        &:hover a {
          color: $white;
        }
      }
      .des {
        margin-top: 10px;
        opacity: 0;
        -webkit-transition: opacity 0.35s ease-out,
          -webkit-transform 0.35s ease-out;
        transition: opacity 0.35s ease-out, -webkit-transform 0.35s ease-out;
        -o-transition: opacity 0.35s ease-out, transform 0.35s ease-out;
        transition: opacity 0.35s ease-out, transform 0.35s ease-out;
        transition: opacity 0.35s ease-out, transform 0.35s ease-out,
          -webkit-transform 0.35s ease-out;
        -webkit-transform: translate3d(0, 20px, 0);
        transform: translate3d(0, 20px, 0);
      }
    }
    &:before,
    &:after {
      @include border($color: $primary-color);
      position: absolute;
      top: 30px;
      right: 30px;
      bottom: 30px;
      left: 30px;
      content: "";
      opacity: 0;
      -webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
      transition: opacity 0.35s, -webkit-transform 0.35s;
      -o-transition: opacity 0.35s, transform 0.35s;
      transition: opacity 0.35s, transform 0.35s;
      transition: opacity 0.35s, transform 0.35s, -webkit-transform 0.35s;
      z-index: 1;
    }
    &:before {
      border-left: 0;
      border-right: 0;
      -webkit-transform: scale(0, 1);
      -ms-transform: scale(0, 1);
      transform: scale(0, 1);
    }
    &:after {
      border-top: 0;
      border-bottom: 0;
      -webkit-transform: scale(1, 0);
      -ms-transform: scale(1, 0);
      transform: scale(1, 0);
    }
  }
  &:hover {
    .text-container {
      background-color: rgba(0, 0, 0, 0.5);
      .text-inner {
        h3 {
          -webkit-transform: translate3d(0, 0, 0);
          transform: translate3d(0, 0, 0);
          opacity: 1;
        }
        .des {
          -webkit-transform: translate3d(0, 0, 0);
          transform: translate3d(0, 0, 0);
          opacity: 1;
        }
      }
      &:after {
        opacity: 1;
        -webkit-transform: scale(1);
        -ms-transform: scale(1);
        transform: scale(1);
      }
      &:before {
        opacity: 1;
        -webkit-transform: scale(1);
        -ms-transform: scale(1);
        transform: scale(1);
      }
    }
  }
}
/*#endregion*/

@media screen and (min-width: 1920px) {
  /*#region .item-gallery*/
  .item-gallery {
    .img-container {
      min-height: 350px;
    }
  }
  /*#endregion*/
}

@media screen and (min-width: 1200px) {
}

@media screen and (max-width: 1440px) {
  /*#region .item-gallery*/
  .item-gallery {
    .img-container {
      min-height: 300px;
    }
    .text-container {
      .text-inner {
        width: calc(100% - 55px);
        h3 {
          font-size: 20px;
          line-height: 25px;
        }
      }
      &:before,
      &:after {
        top: 20px;
        right: 20px;
        bottom: 20px;
        left: 20px;
      }
    }
  }
  /*#endregion*/
}
@media screen and (max-width: 1366px) {
}
@media screen and (max-width: 1280px) {
}

@media screen and (max-width: 1024px) {
  /*#region .item-gallery*/
  .item-gallery {
    .text-container {
      .text-inner {
        width: calc(100% - 45px);
        h3 {
          font-size: 18px;
          line-height: normal;
        }
      }
      &:before,
      &:after {
        top: 15px;
        right: 15px;
        bottom: 15px;
        left: 15px;
      }
    }
  }
  /*#endregion*/
}

@media screen and (max-width: 980px) {
}

@media screen and (max-width: 768px) {
  /*#region .item-gallery*/
  .item-gallery {
    .img-container {
      min-height: 250px;
    }
    .text-container {
      .text-inner {
        width: calc(100% - 30px);
        h3 {
          font-size: 16px;
          line-height: normal;
        }
      }
      &:before,
      &:after {
        top: 10px;
        right: 10px;
        bottom: 10px;
        left: 10px;
      }
    }
  }
  /*#endregion*/
}

@media screen and (max-width: 650px) {
}

@media screen and (max-width: 450px) {
  /*#region .item-gallery*/
  .item-gallery {
    .img-container {
      min-height: 200px;
    }
    .text-container .text-inner .des {
      margin-top: 0;
    }
  }
  /*#endregion*/
}

@media screen and (max-width: 375px) {
}

@media screen and (max-width: 360px) {
  /*#region .item-gallery*/

  /*#endregion*/
}

@media screen and (max-width: 320px) {
}

/*------------------------------------*\
STYLE FIX ALL BROWSER
\*------------------------------------*/

/*#region firefox*/
@-moz-document url-prefix() {
  /*Code is here*/
}
/*#endregion*/

/*#region ie*/
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
  /*Code is here*/
}
/*#endregion*/
